## ansible 2.10.7+merged+base+2.10.8+dfsg

=== docs/docsite/Makefile ===
OS := $(shell uname -s)
SITELIB = $(shell python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()"):
PLUGIN_FORMATTER=../../hacking/build-ansible.py docs-build
TESTING_FORMATTER=../bin/testing_formatter.sh
KEYWORD_DUMPER=../../hacking/build-ansible.py document-keywords
CONFIG_DUMPER=../../hacking/build-ansible.py document-config
GENERATE_CLI=../../hacking/build-ansible.py generate-man
COLLECTION_DUMPER=../../hacking/build-ansible.py collection-meta
ifeq ($(shell echo $(OS) | egrep -ic 'Darwin|FreeBSD|OpenBSD|DragonFly'),1)
CPUS ?= $(shell sysctl hw.ncpu|awk '{print $$2}')
else
CPUS ?= $(shell nproc)
endif

# Sets the build output directory for the main docsite if it's not already specified
ifndef BUILDDIR
	BUILDDIR = _build
endif

# Backwards compat for separate VARS
PLUGIN_ARGS=
ifdef MODULES
ifndef PLUGINS
	PLUGIN_ARGS = -l $(MODULES)
else
	PLUGIN_ARGS = -l $(MODULES),$(PLUGINS)
endif
else
ifdef PLUGINS
	PLUGIN_ARGS = -l $(PLUGINS)
endif
endif

PYTHON=python
MAJOR_VERSION := $(shell $(PYTHON) ../../packaging/release/versionhelper/version_helper.py --majorversion || echo error)

ANSIBLE_VERSION_ARGS=
ifndef ANSIBLE_VERSION
  # Only needed to make stable-2.10 docs build correctly.  Do not apply to devel and future branches
  ANSIBLE_VERSION=$(MAJOR_VERSION)
endif
ifdef ANSIBLE_VERSION
	ANSIBLE_VERSION_ARGS=--ansible-version=$(ANSIBLE_VERSION)
endif

DOC_PLUGINS ?= become cache callback cliconf connection httpapi inventory lookup netconf shell strategy vars

# fetch version from project release.py as single source-of-truth
VERSION := $(shell $(PYTHON) ../../packaging/release/versionhelper/version_helper.py --raw || echo error)
ifeq ($(findstring error,$(VERSION)), error)
$(error "version_helper failed")
endif

ifeq ($(findstring error,$(MAJOR_VERSION)), error)
$(error "version_helper failed to determine major version")
endif

assertrst:
ifndef rst
	$(error specify document or pattern with rst=somefile.rst)
endif

all: docs

docs: htmldocs

coredocs: core_htmldocs

generate_rst: collections_meta config cli keywords plugins testing
core_generate_rst: collections_meta config cli keywords base_plugins testing

# The following two symlinks are necessary to produce two different docsets
# from the same set of rst files (Ansible the package docs, and core docs).
# Symlink the relevant index into place for building Ansible docs
ansible_structure: generate_rst
	# We must have python and python-packaging for the version_helper
	# script so use it for version comparison
	if python -c "import sys, packaging.version as p; sys.exit(not p.Version('$(ANSIBLE_VERSION)') >  p.Version('2.10'))" ; then \
		echo "Creating symlinks in generate_rst"; \
		ln -sf ../rst/ansible_index.rst rst/index.rst; \
		ln -sf ../sphinx_conf/ansible_conf.py rst/conf.py; \
	else \
		echo 'Creating symlinks for older ansible in generate_rst'; \
		ln -sf ../rst/2.10_index.rst rst/index.rst; \
		ln -sf ../sphinx_conf/2.10_conf.py rst/conf.py; \
	fi

# Symlink the relevant index into place for building core docs
core_structure: core_generate_rst
	@echo "Creating symlinks in core_generate_rst"
	-ln -sf ../rst/core_index.rst rst/index.rst
	-ln -sf ../sphinx_conf/core_conf.py rst/conf.py

htmldocs: ansible_structure
	CPUS=$(CPUS) $(MAKE) -f Makefile.sphinx html

core_htmldocs: core_structure
	CPUS=$(CPUS) $(MAKE) -f Makefile.sphinx html

singlehtmldocs: ansible_structure
	CPUS=$(CPUS) $(MAKE) -f Makefile.sphinx singlehtml

core_singlehtmldocs: core_structure
	CPUS=$(CPUS) $(MAKE) -f Makefile.sphinx singlehtml

linkcheckdocs: generate_rst
	CPUS=$(CPUS) $(MAKE) -f Makefile.sphinx linkcheck

webdocs: docs

#TODO: leaving htmlout removal for those having older versions, should eventually be removed also
clean:
	@echo "Cleaning $(BUILDDIR)"
	-rm -rf $(BUILDDIR)/doctrees
	-rm -rf $(BUILDDIR)/html
	-rm -rf htmlout
	-rm -rf module_docs
	-rm -rf $(BUILDDIR)
	-rm -f .buildinfo
	-rm -f objects.inv
	-rm -rf *.doctrees
	@echo "Cleaning up minified css files"
	find . -type f -name "*.min.css" -delete
	@echo "Cleaning up byte compiled python stuff"
	find . -regex ".*\.py[co]$$" -delete
	@echo "Cleaning up editor backup files"
	find . -type f \( -name "*~" -or -name "#*" \) -delete
	find . -type f \( -name "*.swp" \) -delete
	@echo "Cleaning up generated rst"
	rm -f rst/playbooks_directives.rst
	rm -f rst/reference_appendices/config.rst
	rm -f rst/reference_appendices/playbooks_keywords.rst
	rm -f rst/dev_guide/collections_galaxy_meta.rst
	rm -f rst/cli/*.rst
	for filename in `ls rst/collections/` ; do \
		if test x"$$filename" != x'all_plugins.rst' ; then \
			rm -rf "rst/collections/$$filename"; \
		fi \
	done
	@echo "Cleanning up generated ansible_structure"
	find -type l -delete
	@echo "Cleaning up legacy generated rst locations"
	rm -rf rst/modules
	rm -f rst/plugins/*/*.rst

.PHONY: docs clean

collections_meta: ../templates/collections_galaxy_meta.rst.j2
	$(COLLECTION_DUMPER) --template-file=../templates/collections_galaxy_meta.rst.j2 --output-dir=rst/dev_guide/ ../../lib/ansible/galaxy/data/collections_galaxy_meta.yml

# TODO: make generate_man output dir cli option
cli:
	mkdir -p rst/cli
	$(GENERATE_CLI) --template-file=../templates/cli_rst.j2 --output-dir=rst/cli/ --output-format rst ../../lib/ansible/cli/*.py

keywords: ../templates/playbooks_keywords.rst.j2
	$(KEYWORD_DUMPER) --template-dir=../templates --output-dir=rst/reference_appendices/ ./keyword_desc.yml

config: ../templates/config.rst.j2
	$(CONFIG_DUMPER) --template-file=../templates/config.rst.j2 --output-dir=rst/reference_appendices/ ../../lib/ansible/config/base.yml

# For now, if we're building on devel, just build base docs.  In the future we'll want to build docs that
# are the latest versions on galaxy (using a different antsibull-docs subcommand)
plugins:
	$(PLUGIN_FORMATTER) full -o rst $(ANSIBLE_VERSION_ARGS) $(PLUGIN_ARGS);\

# This only builds the plugin docs included with ansible-base
base_plugins:
	$(PLUGIN_FORMATTER) base -o rst $(PLUGIN_ARGS);\

testing:
	$(TESTING_FORMATTER)

epub:
	(CPUS=$(CPUS) $(MAKE) -f Makefile.sphinx epub)

htmlsingle: assertrst
	sphinx-build -j $(CPUS) -b html -d $(BUILDDIR)/doctrees ./rst $(BUILDDIR)/html rst/$(rst)
	@echo "Output is in $(BUILDDIR)/html/$(rst:.rst=.html)"

=== docs/docsite/requirements.txt ===
#pip packages required to build docsite
jinja2
PyYAML
rstcheck
sphinx==2.1.2 
sphinx-notfound-page
Pygments >= 2.4.0
straight.plugin # Needed for hacking/build-ansible.py which is the backend build script
antsibull >= 0.15.0

=== test/ansible_test/Makefile ===
all: sanity unit validate-modules-unit

.PHONY: sanity
sanity:
	$(abspath ${CURDIR}/../../bin/ansible-test) sanity test/lib/ ${FLAGS}

.PHONY: unit
unit:
	PYTHONPATH=$(abspath ${CURDIR}/../lib) pytest unit ${FLAGS}

.PHONY: validate-modules-unit
validate-modules-unit:
	PYTHONPATH=$(abspath ${CURDIR}/../lib/ansible_test/_data/sanity/validate-modules):$(abspath ${CURDIR}/../../lib) pytest validate-modules-unit ${FLAGS}

=== test/units/requirements.txt ===
pycrypto
passlib
pywinrm
pytz
unittest2 ; python_version < '2.7'
pexpect

=== collections-debian-merged/ansible_collections/ansible/netcommon/requirements.txt ===
ansible-pylibssh
jxmlease
ncclient
selectors2 ; python_version == '3.5'
netaddr
paramiko
xmltodict

=== collections-debian-merged/ansible_collections/awx/awx/requirements.txt ===
pytz  # for tower_schedule_rrule lookup plugin
python-dateutil>=2.7.0  # tower_schedule_rrule
awxkit  # For import and export modules

=== collections-debian-merged/ansible_collections/community/aws/requirements.txt ===
boto>=2.49.0
botocore>=1.12.249
boto3>=1.9.249

=== collections-debian-merged/ansible_collections/community/kubernetes/Makefile ===
# Also needs to be updated in galaxy.yml
VERSION = 1.1.1

TEST_ARGS ?= ""
PYTHON_VERSION ?= `python -c 'import platform; print("{0}.{1}".format(platform.python_version_tuple()[0], platform.python_version_tuple()[1]))'`

clean:
	rm -f community-kubernetes-${VERSION}.tar.gz
	rm -rf ansible_collections
	rm -rf tests/output

build: clean
	ansible-galaxy collection build

release: build
	ansible-galaxy collection publish community-kubernetes-${VERSION}.tar.gz

install: build
	ansible-galaxy collection install -p ansible_collections community-kubernetes-${VERSION}.tar.gz

test-sanity:
	ansible-test sanity --docker -v --color --python $(PYTHON_VERSION) $(?TEST_ARGS)

test-integration:
	ansible-test integration --docker -v --color --retry-on-error --python $(PYTHON_VERSION) --continue-on-error --diff --coverage $(?TEST_ARGS)

test-molecule:
	molecule test

downstream-test-sanity:
	./utils/downstream.sh -s

downstream-test-integration:
	./utils/downstream.sh -i

downstream-test-molecule:
	./utils/downstream.sh -m

downstream-build:
	./utils/downstream.sh -b

downstream-release:
	./utils/downstream.sh -r

=== collections-debian-merged/ansible_collections/google/cloud/requirements.txt ===
requests
google-auth

=== collections-debian-merged/ansible_collections/junipernetworks/junos/requirements.txt ===
jxmlease
ncclient
paramiko
scp
xmltodict

=== collections-debian-merged/ansible_collections/servicenow/servicenow/requirements.txt ===
pysnow
netaddr

=== collections-debian-merged/ansible_collections/community/zabbix/molecule/requirements.txt ===
# Install CI dependencies for the Zabbix Roles
ansible==2.10.4
ansible-lint==4.3.7
docker==4.3.1
molecule==3.2.1
molecule-docker==0.2.4
netaddr==0.8.0
pytest-testinfra==6.1.0
zabbix-api==0.5.4
ipaddr==2.2.0
ipaddress==1.0.23

=== debian/changelog ===
ansible (2.10.7+merged+base+2.10.8+dfsg-1) unstable; urgency=medium

  * Upload to unstable
  * Thanks to Christian Kastner for preparing this release.
  * Temporarily merge ansible-base and ansible source packages.
  * Remove 0006-remove-sphinx-notfound.patch (not needed)
  * Fix python interpreter discovery (Closes: #983140)
  * Fix "Mask default and fallback values for no_log module options"
    (CVE-2021-20228)

 -- Lee Garrett <debian@rocketjump.eu>  Mon, 19 Apr 2021 23:56:56 +0200

ansible (2.10.7-2) experimental; urgency=medium

  * Enable autopkgtests.
  * Fix SyntaxWarnings (Closes: #982682)

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 25 Mar 2021 18:09:54 +0100

=== debian/control ===
Source: ansible
Maintainer: Lee Garrett <debian@rocketjump.eu>
Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               python3-all,
#               python3-antsibull <!nodoc>,
               python3-pycryptodome,
               python3-docutils,
               python3-jinja2,
               python3-nose,
               python3-packaging,
               python3-passlib,
#               python3-pygments <!nodoc>,
#               python3-rstcheck <!nodoc>,
               python3-setuptools,
#               python3-straight.plugin <!nodoc>,
#               python3-sphinx <!nodoc>,
#               python3-sphinx-notfound-page <!nodoc>,
#               python3-sphinx-rtd-theme <!nodoc>,
               python3-straight.plugin,
               python3-yaml,
#               sphinx-common,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/ansible
Vcs-Git: https://salsa.debian.org/debian/ansible.git -b bullseye
Homepage: https://www.ansible.com

Package: ansible
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         openssh-client | python3-paramiko (>= 2.6.0),
         python3-pycryptodome,
         python3-distutils,
         python3-dnspython,
         python3-httplib2,
         python3-jinja2,
         python3-netaddr,
         python3-yaml
Recommends: python3-argcomplete,
            python3-cryptography,
            python3-jmespath,
            python3-kerberos,
            python3-libcloud,
            python3-selinux,
            python3-winrm,
            python3-xmltodict
Suggests: cowsay,
          sshpass
Breaks: ansible-base (<= 2.10.5+dfsg-2)
Replaces: ansible-base (<= 2.10.5+dfsg-2)
Description: Configuration management, deployment, and task execution system
 Ansible is a radically simple model-driven configuration management,
 multi-node deployment, and remote task execution system. Ansible works
 over SSH and does not require any software or daemons to be installed
 on remote nodes. Extension modules can be written in any language and
 are transferred to managed machines automatically.
 .
 This package contains ansible-base 2.10.x and ansible-collections 2.10.x merged
 into one package.

#Package: ansible-doc
#Architecture: all
#Section: doc
#Depends: ${misc:Depends},
#         ${sphinxdoc:Depends},
#         fonts-font-awesome,
#         fonts-roboto-fontface,
#         libjs-jquery,
#         libjs-modernizr,
#         libjs-underscore
#Description: Ansible documentation and examples
# Ansible is a radically simple model-driven configuration management,
# multi-node deployment, and remote task execution system. Ansible works
# over SSH and does not require any software or daemons to be installed
# on remote nodes. Extension modules can be written in any language and
# are transferred to managed machines automatically.
# .
# This package contains HTML documentation and examples.
#Build-Profiles: <!nodoc>

=== debian/tests/control ===
Tests: unit-tests-base
# Dependencies sourced from:
# - test/lib/ansible_test/_data/requirements/units.txt
# - test/units/requirements.txt
Depends: @,
         git,
         python3-crypto,
         python3-cryptography,
         python3-jinja2,
         python3-mock,
         python3-passlib,
         python3-pexpect,
         python3-pycryptodome,
         python3-pytest,
         python3-pytest-mock,
         python3-pytest-xdist,
         python3-tz,
         python3-winrm,
         python3-yaml

Tests: unit-tests-stable
Depends: @,
         git,
         python3-boto3,
         python3-flake8,
         python3-mock,
         python3-pytest-mock,
         python3-pytest-xdist,
         yamllint

# failing tests due to missing packages or other reasons
Tests: unit-tests-flaky
Depends: @,
         git,
         python3-boto3,
         python3-flake8,
         python3-mock,
         python3-pytest-xdist,
         python3-pyvmomi,
         yamllint
Restrictions: flaky

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://pypi.debian.net/ansible/ ansible-(2\.10\.[0-9]+).tar.gz

## ansible 2.10.7+merged+base+2.10.8+dfsg-1+11.0trisquel2

=== Makefile ===
# WARN: gmake syntax
########################################################
# Makefile for Ansible
#
# useful targets:
#   make clean ---------------- clean up
#   make webdocs -------------- produce ansible doc at docs/docsite/_build/html
#   make coredocs ------------- produce core doc at docs/docsite/_build/html
#   make sdist ---------------- produce a tarball
#   make deb-src -------------- produce a DEB source
#   make deb ------------------ produce a DEB
#   make docs ----------------- rebuild the manpages (results are checked in)
#   make tests ---------------- run the tests (see https://docs.ansible.com/ansible/devel/dev_guide/testing_units.html for requirements)

########################################################
# variable section

NAME = ansible-base
OS = $(shell uname -s)
PREFIX ?= '/usr/local'
SDIST_DIR ?= 'dist'

# This doesn't evaluate until it's called. The -D argument is the
# directory of the target file ($@), kinda like `dirname`.
MANPAGES ?= $(patsubst %.rst.in,%,$(wildcard ./docs/man/man1/ansible*.1.rst.in))
ifneq ($(shell which rst2man 2>/dev/null),)
ASCII2MAN = rst2man $< $@
else ifneq ($(shell which rst2man.py 2>/dev/null),)
ASCII2MAN = rst2man.py $< $@
else
ASCII2MAN = @echo "ERROR: rst2man from docutils command is not installed but is required to build $(MANPAGES)" && exit 1
endif

PYTHON=python3
GENERATE_CLI = hacking/build-ansible.py generate-man

# fetch version from project release.py as single source-of-truth
VERSION := $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --raw || echo error)
ifeq ($(findstring error,$(VERSION)), error)
$(error "version_helper failed")
endif

# Get the branch information from git
ifneq ($(shell which git),)
GIT_DATE := $(shell git log -n 1 --format="%ci")
GIT_HASH := $(shell git log -n 1 --format="%h")
GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD | sed 's/[-_.\/]//g')
GITINFO = .$(GIT_HASH).$(GIT_BRANCH)
else
GITINFO = ""
endif

ifeq ($(shell echo $(OS) | egrep -c 'Darwin|FreeBSD|OpenBSD|DragonFly'),1)
DATE := $(shell date -j -r $(shell git log -n 1 --format="%ct") +%Y%m%d%H%M)
CPUS ?= $(shell sysctl hw.ncpu|awk '{print $$2}')
else
DATE := $(shell date --utc --date="$(GIT_DATE)" +%Y%m%d%H%M)
CPUS ?= $(shell nproc)
endif

# DEB build parameters
DEBUILD_BIN ?= debuild
DEBUILD_OPTS = --source-option="-I"
DPUT_BIN ?= dput
DPUT_OPTS ?=
DEB_DATE := $(shell LC_TIME=C date +"%a, %d %b %Y %T %z")
DEB_VERSION ?= $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --debversion)
ifeq ($(OFFICIAL),yes)
    DEB_RELEASE ?= $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --debrelease)ppa
    # Sign OFFICIAL builds using 'DEBSIGN_KEYID'
    # DEBSIGN_KEYID is required when signing
    ifneq ($(DEBSIGN_KEYID),)
        DEBUILD_OPTS += -k$(DEBSIGN_KEYID)
    endif
else
    DEB_RELEASE ?= 100.git$(DATE)$(GITINFO)
    # Do not sign unofficial builds
    DEBUILD_OPTS += -uc -us
    DPUT_OPTS += -u
endif
DEBUILD = $(DEBUILD_BIN) $(DEBUILD_OPTS)
DEB_PPA ?= ppa
# Choose the desired Ubuntu release: lucid precise saucy trusty
DEB_DIST ?= unstable

# pbuilder parameters
PBUILDER_ARCH ?= amd64
PBUILDER_CACHE_DIR = /var/cache/pbuilder
PBUILDER_BIN ?= pbuilder
PBUILDER_OPTS ?= --debootstrapopts --variant=buildd --architecture $(PBUILDER_ARCH) --debbuildopts -b

# ansible-test parameters
ANSIBLE_TEST ?= bin/ansible-test
TEST_FLAGS ?=

# ansible-test units parameters (make test / make test-py3)
PYTHON_VERSION ?= $(shell python2 -c 'import sys; print("%s.%s" % sys.version_info[:2])')
PYTHON3_VERSION ?= $(shell python3 -c 'import sys; print("%s.%s" % sys.version_info[:2])')

# ansible-test integration parameters (make integration)
IMAGE ?= centos7
TARGET ?=

########################################################

.PHONY: all
all: clean python

.PHONY: tests
tests:
	$(ANSIBLE_TEST) units -v --python $(PYTHON_VERSION) $(TEST_FLAGS)

.PHONY: tests-py3
tests-py3:
	$(ANSIBLE_TEST) units -v --python $(PYTHON3_VERSION) $(TEST_FLAGS)

.PHONY: integration
integration:
	$(ANSIBLE_TEST) integration -v --docker $(IMAGE) $(TARGET) $(TEST_FLAGS)

# Regenerate %.1.rst if %.1.rst.in has been modified more
# recently than %.1.rst.
%.1.rst: %.1.rst.in
	sed "s/%VERSION%/$(VERSION)/" $< > $@
	rm $<

# Regenerate %.1 if %.1.rst or release.py has been modified more
# recently than %.1. (Implicitly runs the %.1.rst recipe)
%.1: %.1.rst lib/ansible/release.py
	$(ASCII2MAN)

.PHONY: clean
clean:
	@echo "Cleaning up distutils stuff"
	rm -rf build
	rm -rf dist
	rm -rf lib/ansible*.egg-info/
	@echo "Cleaning up byte compiled python stuff"
	find . -type f -regex ".*\.py[co]$$" -delete
	find . -type d -name "__pycache__" -delete
	@echo "Cleaning up editor backup files"
	find . -type f -not -path ./test/units/inventory_test_data/group_vars/noparse/all.yml~ \( -name "*~" -or -name "#*" \) -delete
	find . -type f \( -name "*.swp" \) -delete
	@echo "Cleaning up manpage stuff"
	find ./docs/man -type f -name "*.xml" -delete
	find ./docs/man -type f -name "*.rst" -delete
	find ./docs/man/man3 -type f -name "*.3" -delete
	rm -f ./docs/man/man1/*
	@echo "Cleaning up output from test runs"
	rm -rf test/test_data
	rm -rf shippable/
	rm -rf logs/
	rm -rf .cache/
	rm -f test/units/.coverage*
	rm -rf test/results/*/*
	find test/ -type f -name '*.retry' -delete
	rm -rf docs/json
	rm -rf docs/js
	@echo "Cleaning up docsite"
	$(MAKE) -C docs/docsite clean

.PHONY: python
python:
	$(PYTHON) setup.py build

.PHONY: install
install:
	$(PYTHON) setup.py install

install_manpages:
	gzip -9 $(wildcard ./docs/man/man1/ansible*.1)
	cp $(wildcard ./docs/man/man1/ansible*.1.gz) $(PREFIX)/man/man1/

.PHONY: sdist_check
sdist_check:
	$(PYTHON) -c 'import setuptools, sys; sys.exit(int(not (tuple(map(int, setuptools.__version__.split("."))) > (39, 2, 0))))'
	$(PYTHON) packaging/sdist/check-link-behavior.py

.PHONY: sdist
sdist: sdist_check clean docs
	_ANSIBLE_SDIST_FROM_MAKEFILE=1 $(PYTHON) setup.py sdist --dist-dir=$(SDIST_DIR)

# Official releases generate the changelog as the last commit before the release.
# Snapshots shouldn't result in new checkins so the changelog is generated as
# part of creating the tarball.
.PHONY: snapshot
snapshot: sdist_check clean docs changelog
	_ANSIBLE_SDIST_FROM_MAKEFILE=1 $(PYTHON) setup.py sdist --dist-dir=$(SDIST_DIR)

.PHONY: sdist_upload
sdist_upload: clean docs
	$(PYTHON) setup.py sdist upload 2>&1 |tee upload.log

.PHONY: changelog
changelog:
	PYTHONPATH=./lib antsibull-changelog release -vv --use-ansible-doc && PYTHONPATH=./lib antsibull-changelog generate -vv --use-ansible-doc

.PHONY: debian
debian: sdist
	@for DIST in $(DEB_DIST) ; do \
	    mkdir -p deb-build/$${DIST} ; \
	    tar -C deb-build/$${DIST} -xvf dist/$(NAME)-$(VERSION).tar.gz ; \
	    cp -a packaging/debian deb-build/$${DIST}/$(NAME)-$(VERSION)/ ; \
        sed -ie "s|%VERSION%|$(DEB_VERSION)|g;s|%RELEASE%|$(DEB_RELEASE)|;s|%DIST%|$${DIST}|g;s|%DATE%|$(DEB_DATE)|g" deb-build/$${DIST}/$(NAME)-$(VERSION)/debian/changelog ; \
	done

.PHONY: deb
deb: deb-src
	@for DIST in $(DEB_DIST) ; do \
	    PBUILDER_OPTS="$(PBUILDER_OPTS) --distribution $${DIST} --basetgz $(PBUILDER_CACHE_DIR)/$${DIST}-$(PBUILDER_ARCH)-base.tgz --buildresult $(CURDIR)/deb-build/$${DIST}" ; \
	    $(PBUILDER_BIN) create $${PBUILDER_OPTS} --othermirror "deb http://archive.ubuntu.com/ubuntu $${DIST} universe" ; \
	    $(PBUILDER_BIN) update $${PBUILDER_OPTS} ; \
	    $(PBUILDER_BIN) build $${PBUILDER_OPTS} deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}.dsc ; \
	done
	@echo "#############################################"
	@echo "Ansible DEB artifacts:"
	@for DIST in $(DEB_DIST) ; do \
	    echo deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}_amd64.changes ; \
	done
	@echo "#############################################"

# Build package outside of pbuilder, with locally installed dependencies.
# Install BuildRequires as noted in packaging/debian/control.
.PHONY: local_deb
local_deb: debian
	@for DIST in $(DEB_DIST) ; do \
	    (cd deb-build/$${DIST}/$(NAME)-$(VERSION)/ && $(DEBUILD) -b) ; \
	done
	@echo "#############################################"
	@echo "Ansible DEB artifacts:"
	@for DIST in $(DEB_DIST) ; do \
	    echo deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}_amd64.changes ; \
	done
	@echo "#############################################"

.PHONY: deb-src
deb-src: debian
	@for DIST in $(DEB_DIST) ; do \
	    (cd deb-build/$${DIST}/$(NAME)-$(VERSION)/ && $(DEBUILD) -S) ; \
	done
	@echo "#############################################"
	@echo "Ansible DEB artifacts:"
	@for DIST in $(DEB_DIST) ; do \
	    echo deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}_source.changes ; \
	done
	@echo "#############################################"

.PHONY: deb-upload
deb-upload: deb
	@for DIST in $(DEB_DIST) ; do \
	    $(DPUT_BIN) $(DPUT_OPTS) $(DEB_PPA) deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}_amd64.changes ; \
	done

.PHONY: deb-src-upload
deb-src-upload: deb-src
	@for DIST in $(DEB_DIST) ; do \
	    $(DPUT_BIN) $(DPUT_OPTS) $(DEB_PPA) deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}_source.changes ; \
	done

.PHONY: epub
epub:
	(cd docs/docsite/; CPUS=$(CPUS) $(MAKE) epub)

# for arch or gentoo, read instructions in the appropriate 'packaging' subdirectory directory
.PHONY: webdocs
webdocs:
	(cd docs/docsite/; CPUS=$(CPUS) $(MAKE) docs)

.PHONY: coredocs
coredocs:
	(cd docs/docsite/; CPUS=$(CPUS) $(MAKE) coredocs)

.PHONY: linkcheckdocs
linkcheckdocs:
	(cd docs/docsite/; CPUS=$(CPUS) $(MAKE) linkcheckdocs)

.PHONY: generate_rst
generate_rst: lib/ansible/cli/*.py
	mkdir -p ./docs/man/man1/ ; \
	$(GENERATE_CLI) --template-file=docs/templates/man.j2 --output-dir=docs/man/man1/ --output-format man lib/ansible/cli/*.py


docs: generate_rst
	$(MAKE) $(MANPAGES)

.PHONY: alldocs
alldocs: docs webdocs

version:
	@echo $(VERSION)

=== .pc/0005-use-py3.patch/Makefile ===
# WARN: gmake syntax
########################################################
# Makefile for Ansible
#
# useful targets:
#   make clean ---------------- clean up
#   make webdocs -------------- produce ansible doc at docs/docsite/_build/html
#   make coredocs ------------- produce core doc at docs/docsite/_build/html
#   make sdist ---------------- produce a tarball
#   make deb-src -------------- produce a DEB source
#   make deb ------------------ produce a DEB
#   make docs ----------------- rebuild the manpages (results are checked in)
#   make tests ---------------- run the tests (see https://docs.ansible.com/ansible/devel/dev_guide/testing_units.html for requirements)

########################################################
# variable section

NAME = ansible-base
OS = $(shell uname -s)
PREFIX ?= '/usr/local'
SDIST_DIR ?= 'dist'

# This doesn't evaluate until it's called. The -D argument is the
# directory of the target file ($@), kinda like `dirname`.
MANPAGES ?= $(patsubst %.rst.in,%,$(wildcard ./docs/man/man1/ansible*.1.rst.in))
ifneq ($(shell which rst2man 2>/dev/null),)
ASCII2MAN = rst2man $< $@
else ifneq ($(shell which rst2man.py 2>/dev/null),)
ASCII2MAN = rst2man.py $< $@
else
ASCII2MAN = @echo "ERROR: rst2man from docutils command is not installed but is required to build $(MANPAGES)" && exit 1
endif

PYTHON=python
GENERATE_CLI = hacking/build-ansible.py generate-man

# fetch version from project release.py as single source-of-truth
VERSION := $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --raw || echo error)
ifeq ($(findstring error,$(VERSION)), error)
$(error "version_helper failed")
endif

# Get the branch information from git
ifneq ($(shell which git),)
GIT_DATE := $(shell git log -n 1 --format="%ci")
GIT_HASH := $(shell git log -n 1 --format="%h")
GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD | sed 's/[-_.\/]//g')
GITINFO = .$(GIT_HASH).$(GIT_BRANCH)
else
GITINFO = ""
endif

ifeq ($(shell echo $(OS) | egrep -c 'Darwin|FreeBSD|OpenBSD|DragonFly'),1)
DATE := $(shell date -j -r $(shell git log -n 1 --format="%ct") +%Y%m%d%H%M)
CPUS ?= $(shell sysctl hw.ncpu|awk '{print $$2}')
else
DATE := $(shell date --utc --date="$(GIT_DATE)" +%Y%m%d%H%M)
CPUS ?= $(shell nproc)
endif

# DEB build parameters
DEBUILD_BIN ?= debuild
DEBUILD_OPTS = --source-option="-I"
DPUT_BIN ?= dput
DPUT_OPTS ?=
DEB_DATE := $(shell LC_TIME=C date +"%a, %d %b %Y %T %z")
DEB_VERSION ?= $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --debversion)
ifeq ($(OFFICIAL),yes)
    DEB_RELEASE ?= $(shell $(PYTHON) packaging/release/versionhelper/version_helper.py --debrelease)ppa
    # Sign OFFICIAL builds using 'DEBSIGN_KEYID'
    # DEBSIGN_KEYID is required when signing
    ifneq ($(DEBSIGN_KEYID),)
        DEBUILD_OPTS += -k$(DEBSIGN_KEYID)
    endif
else
    DEB_RELEASE ?= 100.git$(DATE)$(GITINFO)
    # Do not sign unofficial builds
    DEBUILD_OPTS += -uc -us
    DPUT_OPTS += -u
endif
DEBUILD = $(DEBUILD_BIN) $(DEBUILD_OPTS)
DEB_PPA ?= ppa
# Choose the desired Ubuntu release: lucid precise saucy trusty
DEB_DIST ?= unstable

# pbuilder parameters
PBUILDER_ARCH ?= amd64
PBUILDER_CACHE_DIR = /var/cache/pbuilder
PBUILDER_BIN ?= pbuilder
PBUILDER_OPTS ?= --debootstrapopts --variant=buildd --architecture $(PBUILDER_ARCH) --debbuildopts -b

# ansible-test parameters
ANSIBLE_TEST ?= bin/ansible-test
TEST_FLAGS ?=

# ansible-test units parameters (make test / make test-py3)
PYTHON_VERSION ?= $(shell python2 -c 'import sys; print("%s.%s" % sys.version_info[:2])')
PYTHON3_VERSION ?= $(shell python3 -c 'import sys; print("%s.%s" % sys.version_info[:2])')

# ansible-test integration parameters (make integration)
IMAGE ?= centos7
TARGET ?=

########################################################

.PHONY: all
all: clean python

.PHONY: tests
tests:
	$(ANSIBLE_TEST) units -v --python $(PYTHON_VERSION) $(TEST_FLAGS)

.PHONY: tests-py3
tests-py3:
	$(ANSIBLE_TEST) units -v --python $(PYTHON3_VERSION) $(TEST_FLAGS)

.PHONY: integration
integration:
	$(ANSIBLE_TEST) integration -v --docker $(IMAGE) $(TARGET) $(TEST_FLAGS)

# Regenerate %.1.rst if %.1.rst.in has been modified more
# recently than %.1.rst.
%.1.rst: %.1.rst.in
	sed "s/%VERSION%/$(VERSION)/" $< > $@
	rm $<

# Regenerate %.1 if %.1.rst or release.py has been modified more
# recently than %.1. (Implicitly runs the %.1.rst recipe)
%.1: %.1.rst lib/ansible/release.py
	$(ASCII2MAN)

.PHONY: clean
clean:
	@echo "Cleaning up distutils stuff"
	rm -rf build
	rm -rf dist
	rm -rf lib/ansible*.egg-info/
	@echo "Cleaning up byte compiled python stuff"
	find . -type f -regex ".*\.py[co]$$" -delete
	find . -type d -name "__pycache__" -delete
	@echo "Cleaning up editor backup files"
	find . -type f -not -path ./test/units/inventory_test_data/group_vars/noparse/all.yml~ \( -name "*~" -or -name "#*" \) -delete
	find . -type f \( -name "*.swp" \) -delete
	@echo "Cleaning up manpage stuff"
	find ./docs/man -type f -name "*.xml" -delete
	find ./docs/man -type f -name "*.rst" -delete
	find ./docs/man/man3 -type f -name "*.3" -delete
	rm -f ./docs/man/man1/*
	@echo "Cleaning up output from test runs"
	rm -rf test/test_data
	rm -rf shippable/
	rm -rf logs/
	rm -rf .cache/
	rm -f test/units/.coverage*
	rm -rf test/results/*/*
	find test/ -type f -name '*.retry' -delete
	rm -rf docs/json
	rm -rf docs/js
	@echo "Cleaning up docsite"
	$(MAKE) -C docs/docsite clean

.PHONY: python
python:
	$(PYTHON) setup.py build

.PHONY: install
install:
	$(PYTHON) setup.py install

install_manpages:
	gzip -9 $(wildcard ./docs/man/man1/ansible*.1)
	cp $(wildcard ./docs/man/man1/ansible*.1.gz) $(PREFIX)/man/man1/

.PHONY: sdist_check
sdist_check:
	$(PYTHON) -c 'import setuptools, sys; sys.exit(int(not (tuple(map(int, setuptools.__version__.split("."))) > (39, 2, 0))))'
	$(PYTHON) packaging/sdist/check-link-behavior.py

.PHONY: sdist
sdist: sdist_check clean docs
	_ANSIBLE_SDIST_FROM_MAKEFILE=1 $(PYTHON) setup.py sdist --dist-dir=$(SDIST_DIR)

# Official releases generate the changelog as the last commit before the release.
# Snapshots shouldn't result in new checkins so the changelog is generated as
# part of creating the tarball.
.PHONY: snapshot
snapshot: sdist_check clean docs changelog
	_ANSIBLE_SDIST_FROM_MAKEFILE=1 $(PYTHON) setup.py sdist --dist-dir=$(SDIST_DIR)

.PHONY: sdist_upload
sdist_upload: clean docs
	$(PYTHON) setup.py sdist upload 2>&1 |tee upload.log

.PHONY: changelog
changelog:
	PYTHONPATH=./lib antsibull-changelog release -vv --use-ansible-doc && PYTHONPATH=./lib antsibull-changelog generate -vv --use-ansible-doc

.PHONY: debian
debian: sdist
	@for DIST in $(DEB_DIST) ; do \
	    mkdir -p deb-build/$${DIST} ; \
	    tar -C deb-build/$${DIST} -xvf dist/$(NAME)-$(VERSION).tar.gz ; \
	    cp -a packaging/debian deb-build/$${DIST}/$(NAME)-$(VERSION)/ ; \
        sed -ie "s|%VERSION%|$(DEB_VERSION)|g;s|%RELEASE%|$(DEB_RELEASE)|;s|%DIST%|$${DIST}|g;s|%DATE%|$(DEB_DATE)|g" deb-build/$${DIST}/$(NAME)-$(VERSION)/debian/changelog ; \
	done

.PHONY: deb
deb: deb-src
	@for DIST in $(DEB_DIST) ; do \
	    PBUILDER_OPTS="$(PBUILDER_OPTS) --distribution $${DIST} --basetgz $(PBUILDER_CACHE_DIR)/$${DIST}-$(PBUILDER_ARCH)-base.tgz --buildresult $(CURDIR)/deb-build/$${DIST}" ; \
	    $(PBUILDER_BIN) create $${PBUILDER_OPTS} --othermirror "deb http://archive.ubuntu.com/ubuntu $${DIST} universe" ; \
	    $(PBUILDER_BIN) update $${PBUILDER_OPTS} ; \
	    $(PBUILDER_BIN) build $${PBUILDER_OPTS} deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}.dsc ; \
	done
	@echo "#############################################"
	@echo "Ansible DEB artifacts:"
	@for DIST in $(DEB_DIST) ; do \
	    echo deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}_amd64.changes ; \
	done
	@echo "#############################################"

# Build package outside of pbuilder, with locally installed dependencies.
# Install BuildRequires as noted in packaging/debian/control.
.PHONY: local_deb
local_deb: debian
	@for DIST in $(DEB_DIST) ; do \
	    (cd deb-build/$${DIST}/$(NAME)-$(VERSION)/ && $(DEBUILD) -b) ; \
	done
	@echo "#############################################"
	@echo "Ansible DEB artifacts:"
	@for DIST in $(DEB_DIST) ; do \
	    echo deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}_amd64.changes ; \
	done
	@echo "#############################################"

.PHONY: deb-src
deb-src: debian
	@for DIST in $(DEB_DIST) ; do \
	    (cd deb-build/$${DIST}/$(NAME)-$(VERSION)/ && $(DEBUILD) -S) ; \
	done
	@echo "#############################################"
	@echo "Ansible DEB artifacts:"
	@for DIST in $(DEB_DIST) ; do \
	    echo deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}_source.changes ; \
	done
	@echo "#############################################"

.PHONY: deb-upload
deb-upload: deb
	@for DIST in $(DEB_DIST) ; do \
	    $(DPUT_BIN) $(DPUT_OPTS) $(DEB_PPA) deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}_amd64.changes ; \
	done

.PHONY: deb-src-upload
deb-src-upload: deb-src
	@for DIST in $(DEB_DIST) ; do \
	    $(DPUT_BIN) $(DPUT_OPTS) $(DEB_PPA) deb-build/$${DIST}/$(NAME)_$(DEB_VERSION)-$(DEB_RELEASE)~$${DIST}_source.changes ; \
	done

.PHONY: epub
epub:
	(cd docs/docsite/; CPUS=$(CPUS) $(MAKE) epub)

# for arch or gentoo, read instructions in the appropriate 'packaging' subdirectory directory
.PHONY: webdocs
webdocs:
	(cd docs/docsite/; CPUS=$(CPUS) $(MAKE) docs)

.PHONY: coredocs
coredocs:
	(cd docs/docsite/; CPUS=$(CPUS) $(MAKE) coredocs)

.PHONY: linkcheckdocs
linkcheckdocs:
	(cd docs/docsite/; CPUS=$(CPUS) $(MAKE) linkcheckdocs)

.PHONY: generate_rst
generate_rst: lib/ansible/cli/*.py
	mkdir -p ./docs/man/man1/ ; \
	$(GENERATE_CLI) --template-file=docs/templates/man.j2 --output-dir=docs/man/man1/ --output-format man lib/ansible/cli/*.py


docs: generate_rst
	$(MAKE) $(MANPAGES)

.PHONY: alldocs
alldocs: docs webdocs

version:
	@echo $(VERSION)

=== docs/docsite/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 OS := $(shell uname -s)
-SITELIB = $(shell python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()"):
+SITELIB = $(shell python3 -c "from distutils.sysconfig import get_python_lib; print get_python_lib()"):
 PLUGIN_FORMATTER=../../hacking/build-ansible.py docs-build
 TESTING_FORMATTER=../bin/testing_formatter.sh
 KEYWORD_DUMPER=../../hacking/build-ansible.py document-keywords
@@ -31,7 +31,7 @@
 endif
 endif
 
-PYTHON=python
+PYTHON=python3
 MAJOR_VERSION := $(shell $(PYTHON) ../../packaging/release/versionhelper/version_helper.py --majorversion || echo error)
 
 ANSIBLE_VERSION_ARGS=

=== debian/changelog ===
ansible (2.10.7+merged+base+2.10.8+dfsg-1+11.0trisquel2) aramo; urgency=medium

  * Identify os_family as Debian

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 26 Jun 2022 12:11:20 +0000

## ansible 2.10.7+merged+base+2.10.17+dfsg

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 ASCII2MAN = @echo "ERROR: rst2man from docutils command is not installed but is required to build $(MANPAGES)" && exit 1
 endif
 
-PYTHON=python3
+PYTHON=python
 GENERATE_CLI = hacking/build-ansible.py generate-man
 
 # fetch version from project release.py as single source-of-truth
@@ -154,6 +154,9 @@
 	rm -f test/units/.coverage*
 	rm -rf test/results/*/*
 	find test/ -type f -name '*.retry' -delete
+	@echo "Cleaning up Debian building stuff"
+	rm -rf debian
+	rm -rf deb-build
 	rm -rf docs/json
 	rm -rf docs/js
 	@echo "Cleaning up docsite"

=== requirements.txt ===
# Note: this requirements.txt file is used to specify what dependencies are
# needed to make the package run rather than for deployment of a tested set of
# packages.  Thus, this should be the loosest set possible (only required
# packages, not optional ones, and with the widest range of versions that could
# be suitable)
jinja2
PyYAML
cryptography
packaging

=== docs/docsite/requirements.txt ===
#pip packages required to build docsite
jinja2
PyYAML
rstcheck
sphinx==2.1.2
sphinx-notfound-page
Pygments >= 2.4.0
straight.plugin # Needed for hacking/build-ansible.py which is the backend build script
antsibull >= 0.15.0
docutils==0.16 # pin for now until sphinx_rtd_theme is compatible with 0.17 or later

=== collections-debian-merged/ansible_collections/cisco/iosxr/requirements.txt ===
lxml
ncclient
paramiko

=== collections-debian-merged/ansible_collections/community/kubernetes/requirements.txt ===
openshift>=0.6.2
requests-oauthlib

=== collections-debian-merged/ansible_collections/community/okd/Makefile ===
# Also needs to be updated in galaxy.yml
VERSION = 1.0.0

# To run sanity tests in a venv, set SANITY_TEST_ARGS to '--venv'
SANITY_TEST_ARGS ?= --docker --color

clean:
	rm -f community-okd-$(VERSION).tar.gz
	rm -rf ansible_collections

build: clean
	ansible-galaxy collection build

install-kubernetes-src:
	mkdir -p ansible_collections/community/kubernetes
	rm -rf ansible_collections/community/kubernetes/*
	curl -L https://github.com/ansible-collections/community.kubernetes/archive/main.tar.gz | tar -xz -C ansible_collections/community/kubernetes --strip-components 1

# TODO: Once we no longer rely on features in main we should drop the install-kubernetes-src dependency
install: build install-kubernetes-src
	ansible-galaxy collection install -p ansible_collections community-okd-$(VERSION).tar.gz

test-integration-incluster:
	./ci/incluster_integration.sh

test-sanity: upstream-test-sanity downstream-test-sanity

test-integration: upstream-test-integration downstream-test-integration

upstream-test-integration: install
	molecule test

upstream-test-sanity: install
	cd ansible_collections/community/okd && ansible-test sanity --exclude ci/ -v $(SANITY_TEST_ARGS)

downstream-test-sanity:
	./ci/downstream.sh -s

downstream-test-integration:
	./ci/downstream.sh -i

downstream-build:
	./ci/downstream.sh -b

=== collections-debian-merged/ansible_collections/community/vmware/requirements.txt ===
pyvmomi
git+https://github.com/vmware/vsphere-automation-sdk-python.git ; python_version >= '2.7'  # Python 2.6 is not supported

=== collections-debian-merged/ansible_collections/cyberark/conjur/requirements.txt ===
ansible>=2.9

=== collections-debian-merged/ansible_collections/community/docker/tests/unit/requirements.txt ===
unittest2 ; python_version < '2.7'
importlib ; python_version < '2.7'

=== collections-debian-merged/ansible_collections/community/hrobot/tests/unit/requirements.txt ===
unittest2 ; python_version < '2.7'
importlib ; python_version < '2.7'

# firewall module
ipaddress ; python_version < '3.3'

=== collections-debian-merged/ansible_collections/community/network/tests/unit/requirements.txt ===
unittest2 ; python_version <= '2.6'

# requirements for ftd module_utils
firepower-kickstart ; python_version >= '3.6' and python_version < '3.9'  # Python 3.6+ only; dependency does not work with 3.9 yet

# requirements for FortiManager modules
pyFMG

# requirements for Nuage modules  - CURRENTLY BROKEN!
# vspk
# bambou

# requirements for routeros_api module
librouteros ; python_version >= '3.6'

=== collections-debian-merged/ansible_collections/community/vmware/tests/unit/requirements.txt ===
pyvmomi

=== debian/changelog ===
ansible (2.10.7+merged+base+2.10.17+dfsg-0+deb11u1) bullseye; urgency=medium

  * Update to ansible-base 2.10.17 (Closes: #1076527)
    - fixes CVE-2021-3620
    - fixes CVE-2021-3583
  * Fix password leak in amazon.aws.ec2_instance module (CVE-2022-3697)
  * Document workaround for ec2 private key leak (CVE-2023-4237)
  * ansible-galaxy: Prevent roles from using symlinks to overwrite files outside
    of the installation directory (CVE-2023-5115)
  * Ensure templating doesn't remove unsafe designation from template data.
    Document user-visible changes in NEWS (CVE-2023-5764)
  * Fix information disclosure due to a failure to respect the ANSIBLE_NO_LOG
    configuration in some scenarios (CVE-2024-0690)
  * d/gbp.conf: Update branch config to match bullseye (DEP-14 layout)
  * Update d/salsa-ci.yml to recommendations
  * d/gbp.conf: Default to merge-mode=replace
  * salsa CI updates:
    - Use bullseye's lintian
    - Update salsa CI pipeline file to recommended naming
  * fix lintian warnings:
    - Update lintian overrides
    - Remove debian/source/include-binaries
  * Update autopkgtests
    - Remove dep to python3-crypto
    - Add python3-systemd to test deps for more test coverage
    - Fix vault tests requiring pycrypto
    - Add integration tests
  * d/control: Update maintainer and uploader
  * d/control: Update VCS fields

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 16 Jul 2024 17:48:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ansible
-Maintainer: Lee Garrett <debian@rocketjump.eu>
-Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Lee Garrett <debian@rocketjump.eu>
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 12~),
@@ -25,8 +25,8 @@
 #               sphinx-common,
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/debian/ansible
-Vcs-Git: https://salsa.debian.org/debian/ansible.git -b bullseye
+Vcs-Browser: https://salsa.debian.org/python-team/packages/ansible
+Vcs-Git: https://salsa.debian.org/python-team/packages/ansible.git -b debian/bullseye
 Homepage: https://www.ansible.com
 
 Package: ansible

=== debian/rules ===
#!/usr/bin/make -f

DOPACKAGES = $(shell dh_listpackages)
export PYBUILD_DESTDIR=debian/tmp

# Make it easier to build one machines with ansible << 2.10 installed.
export ANSIBLE_SKIP_CONFLICT_CHECK=1

%:
#	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean \
		-X.bak \
		-X.md~ \
		-X.j2~ \
		-X.py~ \
		-X.txt~ \
		-X.txt.orig \
		-X.un~ \
		-X.yaml~ \
		-X.yml~

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedir=collections-debian-merged
#ifneq (,$(filter ansible-doc,$(DOPACKAGES)))
#	# html documentation
#	$(MAKE) webdocs
#	# manpage documentation
#	$(MAKE) docs
#endif

override_dh_auto_test:
	# For now, disable the tests
	#make tests-nonet

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

execute_after_dh_auto_install:
	find debian/tmp/ -depth -name '.git*' -exec rm -r {} +
	find debian/tmp/ -depth -name '.*' -exec rm -r {} +
	find debian/tmp/ -name '*~' -delete
	find debian/tmp/ -name '*.bak' -delete
	find debian/tmp/ -name '*.orig' -delete

# NB: Source packages merged in bullseye (Debian 11)
#
# As a temporary measure, upstream sources ansible-base and ansible have been
# merged in bullseye. The get-orig-source target implements this merge.
#
# The approach here is somewhat inflexible/hacky. It is assumed that it will be
# only needed very rarely (as it happens in stable), so it gets the job done
# without being too complicated and fancy.

PKGDIR  = $(abspath $(dir $(MAKEFILE_LIST)))/..
BASEVER = $(shell sed -nre 's/ansible-base: ([.0-9]+)/\1/p' $(PKGDIR)/debian/merged.versions)
COLLVER = $(shell sed -nre 's/ansible: ([.0-9]+)/\1/p' $(PKGDIR)/debian/merged.versions)
RPCKDIR = ansible-$(COLLVER)+merged+dfsg

get-orig-source:
	# Download both tarballs
	uscan \
		--noconf \
		--package=ansible \
		--upstream-version=$(BASEVER) \
		--watchfile=$(PKGDIR)/debian/watch.base \
		--copyright-file=$(PKGDIR)/debian/copyright \
		--verbose \
		--rename \
		--destdir=$(CURDIR) \
		--check-dirname-level=0 \
		--force-download \
		--download-version=$(BASEVER)
	uscan \
		--noconf \
		--package=ansible-collections \
		--upstream-version=$(COLLVER) \
		--watchfile=$(PKGDIR)/debian/watch \
		--copyright-file=$(PKGDIR)/debian/copyright \
		--verbose \
		--rename \
		--destdir=$(CURDIR) \
		--check-dirname-level=0 \
		--force-download \
		--download-version=$(COLLVER)
	# Extract both tarballs into the same base dir, with the second
	# tarball in a subdir
	mkdir -p $(RPCKDIR)/collections-debian-merged
	tar -xJf ansible_$(BASEVER)+dfsg.orig.tar.xz \
		--strip-components=1 \
		-C $(RPCKDIR)
	tar -xzf ansible-collections_$(COLLVER).orig.tar.gz \
		--strip-components=1 \
		-C $(RPCKDIR)/collections-debian-merged
	# Get rid of the old tarballs
	rm -f ansible_$(BASEVER)+dfsg.orig.tar.xz
	rm -f ansible-collections_$(COLLVER).orig.tar.gz
	# Repack the basedir as a single new tarball
	tar -cJf ansible_$(COLLVER)+merged+base+$(BASEVER)+dfsg.orig.tar.xz --strip-components=1 $(RPCKDIR)
	rm -rf $(RPCKDIR)

=== debian/tests/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 # - test/units/requirements.txt
 Depends: @,
          git,
-         python3-crypto,
          python3-cryptography,
          python3-jinja2,
          python3-mock,
@@ -14,11 +13,12 @@
          python3-pytest,
          python3-pytest-mock,
          python3-pytest-xdist,
+         python3-systemd,
          python3-tz,
          python3-winrm,
          python3-yaml
 
-Tests: unit-tests-stable
+Tests: unit-tests-stable.py
 Depends: @,
          git,
          python3-boto3,
@@ -29,7 +29,7 @@
          yamllint
 
 # failing tests due to missing packages or other reasons
-Tests: unit-tests-flaky
+Tests: unit-tests-flaky.py
 Depends: @,
          git,
          python3-boto3,
@@ -39,3 +39,43 @@
          python3-pyvmomi,
          yamllint
 Restrictions: flaky
+
+Tests: integration-tests-base
+Depends: @,
+         bsdextrautils,
+         git,
+         gnupg,
+         gzip,
+         iproute2,
+         locales,
+         procps,
+         python3-apt,
+         python3-cryptography,
+         python3-jinja2,
+         python3-junit.xml,
+         python3-mock,
+         python3-passlib,
+         python3-pexpect,
+         python3-pip,
+         python3-pycryptodome,
+         python3-pytest,
+         python3-pytest-mock,
+         python3-pytest-xdist,
+         python3-systemd,
+         python3-tz,
+         python3-virtualenv,
+         python3-winrm,
+         python3-yaml,
+         rsync,
+         sudo,
+         tar,
+         unzip,
+         zip,
+# some tests write warnings to STDERR
+# needs internet for testing e.g. ansible-galaxy or pip modules
+# needs root for many tests like apt or systemd module
+Restrictions:
+    breaks-testbed,
+    allow-stderr,
+    needs-internet,
+    needs-root
